=== src/router/snmp/agent/Makefile ===
#
# Minimum environment and virtual path setup
#
SHELL		= /bin/sh
srcdir		= .
top_srcdir	= ..

VERSION		= 5.1.2


#
# Paths
#
prefix		= /tmp/snmp
exec_prefix	= /tmp/snmp
bindir		= ${exec_prefix}/bin
sbindir		= ${exec_prefix}/sbin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
includedir	= ${prefix}/include/net-snmp
ucdincludedir	= ${prefix}/include/ucd-snmp
mandir		= ${prefix}/man
man1dir		= $(mandir)/man1
man3dir		= $(mandir)/man3
man5dir		= $(mandir)/man5
man8dir		= $(mandir)/man8
snmplibdir	= $(datadir)/snmp
mibdir		= $(snmplibdir)/mibs
persistentdir	= /tmp/snmp-persist
sysconfdir	= /tmp
INSTALL_PREFIX  = 

#
# Programs
#
INSTALL		= $(LIBTOOL) --mode=install /usr/bin/install -c
UNINSTALL	= $(LIBTOOL) --mode=uninstall rm -f
INSTALL_DATA    = ${INSTALL} -m 644
SED		= /bin/sed
LN_S		= ln -s
AUTOCONF	= :
AUTOHEADER	= :

#
# Compiler arguments
#
CFLAGS		= -O1 -Delf 
EXTRACPPFLAGS	= -x c
LDFLAGS		= -s 
LIBTOOL		= $(SHELL) $(top_builddir)/libtool 
EXEEXT		= 

# Misc Compiling Stuff
CC	        = mipsel-uclibc-gcc
# version number is prefixed by a 0 for a better shared library version number
#
# ok, use libtool proper versioning:
# (This should sorta match releases, but current is off by 1.
#   CURRENT.AGE.REVISION; eg release 5.1.2 = 6.1.2 )
LIBCURRENT  = 6
LIBAGE      = 1
LIBREVISION = 2

# generally, LIBCURRENT should stay the same unless major changes occur.
# Increment REVISION every release.  
# Increment AGE if new stuff is available.
LIB_LD_CMD      = $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -rpath $(libdir) -version-info $(LIBCURRENT):$(LIBREVISION):$(LIBAGE) -o
LIB_EXTENSION   = la
LIB_VERSION     =
LIB_LDCONFIG_CMD = $(LIBTOOL) --mode=finish $(libdir)
LINK		= $(LIBTOOL) --mode=link $(CC)
# RANLIB 	= ranlib
RANLIB		= :

# libtool definitions
.SUFFIXES: .c .o .lo
.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
#
# Makefile for snmpd
#

top_builddir	= ..

#
# what to install
#
SUBDIRS=helpers mibgroup

INSTALLSBINPROGS= snmpd$(EXEEXT)
INSTALLLIBS	= libnetsnmpagent.$(LIB_EXTENSION)$(LIB_VERSION) \
		libnetsnmpmibs.$(LIB_EXTENSION)$(LIB_VERSION)

INCLUDESUBDIR=agent
INCLUDESUBDIRHEADERS=agent_read_config.h \
	agent_registry.h \
	agent_index.h \
	agent_trap.h \
	auto_nlist.h \
	ds_agent.h \
	snmp_agent.h \
	snmp_vars.h \
	var_struct.h \
	agent_handler.h \
	net-snmp-agent-includes.h \
	agent_callbacks.h

INSTALLBUILTSUBDIRHEADERS=../include/net-snmp/agent/mib_module_config.h \
			mibgroup/mib_module_includes.h
INSTALLBUILTSUBDIR=agent

OTHERINSTALL=
OTHERUNINSTALL=

# XXX: need to install these  They're really UCD specific, however.
BROKEINSTALL= \
	mib_modules.h \
	mibgroup/struct.h \
	mibgroup/util_funcs.h \
	mibgroup/mibincl.h \
	mibgroup/ucd-snmp/dlmod.h \
	mibgroup/utilities/execute.h \
	mibgroup/header_complex.h

INSTALLUCDHEADERS= \
	agent_index.h	\
	agent_read_config.h \
	agent_registry.h \
	agent_trap.h	\
	auto_nlist.h	\
	ds_agent.h	\
	header_complex.h \
	mibincl.h	\
	snmp_agent.h	\
	ucd-snmp-includes.h	\
	ucd-snmp-agent-includes.h \
	util_funcs.h	\
	var_struct.h

#
# how to build it info
#
USELIBS		= ../snmplib/libnetsnmp.$(LIB_EXTENSION)$(LIB_VERSION)
HELPERLIB	= helpers/libnetsnmphelpers.$(LIB_EXTENSION)$(LIB_VERSION)
LOCAL_LIBS	= 
LIBS		= ../snmplib/libnetsnmp.$(LIB_EXTENSION)$(LIB_VERSION) -ldl -lm 
OUR_AGENT_LIBS	= $(INSTALLLIBS) $(HELPERLIB)  $(LIBS) 
CPPFLAGS	= -I../include -I$(top_srcdir)/include \
		  -I.. -I$(srcdir)/.. -I$(srcdir)/../snmplib \
		  -I$(srcdir) -I. -I$(srcdir)/mibgroup -Imibgroup 

#
# Objects
#

# libnetsnmpmib objects.
LMIBOBJS	=   mibgroup/mibII/snmp_mib.lo  mibgroup/mibII/system_mib.lo  mibgroup/mibII/sysORTable.lo  mibgroup/mibII/vacm_vars.lo  mibgroup/utilities/execute.lo  mibgroup/mibII/ip.lo  mibgroup/mibII/tcp.lo  mibgroup/mibII/udp.lo  mibgroup/mibII/icmp.lo  mibgroup/mibII/var_route.lo  mibgroup/mibII/kernel_linux.lo  mibgroup/qos.lo  mibgroup/ieee802dot11.lo  mibgroup/util_funcs.lo  mibgroup/mibII/vacm_context.lo  mibgroup/host/hr_system.lo  mibgroup/host/hr_storage.lo  mibgroup/host/hr_device.lo  mibgroup/host/hr_other.lo  mibgroup/host/hr_proc.lo  mibgroup/host/hr_network.lo  mibgroup/host/hr_print.lo  mibgroup/host/hr_disk.lo  mibgroup/host/hr_partition.lo  mibgroup/host/hr_filesys.lo  mibgroup/host/hr_swrun.lo  mibgroup/host/hr_swinst.lo  mibgroup/mibII/interfaces.lo  mibgroup/mibII/ipAddr.lo  mibgroup/mibII/at.lo  mibgroup/mibII/route_write.lo  mibgroup/mibII/tcpTable.lo  mibgroup/mibII/udpTable.lo  mibgroup/qos_access.lo  mibgroup/qos_checkfns.lo  mibgroup/ucd-snmp/loadave.lo  mibgroup/qos_checkfns_local.lo    mib_modules.lo auto_nlist.lo
MIBOBJS		=   mibgroup/mibII/snmp_mib.o  mibgroup/mibII/system_mib.o  mibgroup/mibII/sysORTable.o  mibgroup/mibII/vacm_vars.o  mibgroup/utilities/execute.o  mibgroup/mibII/ip.o  mibgroup/mibII/tcp.o  mibgroup/mibII/udp.o  mibgroup/mibII/icmp.o  mibgroup/mibII/var_route.o  mibgroup/mibII/kernel_linux.o  mibgroup/qos.o  mibgroup/ieee802dot11.o  mibgroup/util_funcs.o  mibgroup/mibII/vacm_context.o  mibgroup/host/hr_system.o  mibgroup/host/hr_storage.o  mibgroup/host/hr_device.o  mibgroup/host/hr_other.o  mibgroup/host/hr_proc.o  mibgroup/host/hr_network.o  mibgroup/host/hr_print.o  mibgroup/host/hr_disk.o  mibgroup/host/hr_partition.o  mibgroup/host/hr_filesys.o  mibgroup/host/hr_swrun.o  mibgroup/host/hr_swinst.o  mibgroup/mibII/interfaces.o  mibgroup/mibII/ipAddr.o  mibgroup/mibII/at.o  mibgroup/mibII/route_write.o  mibgroup/mibII/tcpTable.o  mibgroup/mibII/udpTable.o  mibgroup/qos_access.o  mibgroup/qos_checkfns.o  mibgroup/ucd-snmp/loadave.o  mibgroup/qos_checkfns_local.o    mib_modules.o auto_nlist.o

# libnetsnmpagent objects
LIBAGENTOBJS=snmp_agent.o snmp_vars.o agent_read_config.o \
	agent_registry.o agent_index.o agent_trap.o kernel.o \
	 agent_handler.o  
LLIBAGENTOBJS=snmp_agent.lo snmp_vars.lo agent_read_config.lo \
	agent_registry.lo agent_index.lo agent_trap.lo kernel.lo \
	agent_handler.lo 

# The agent objects.
AGENTOBJS=snmpd.o
LAGENTOBJS=snmpd.lo

#
# Define OBJS and LOBJS for clean target (just this directory)
#
OBJS		= $(LIBAGENTOBJS)  $(AGENTOBJS)  mib_modules.o  auto_nlist.o
LOBJS		= $(LLIBAGENTOBJS) $(LAGENTOBJS) mib_modules.lo auto_nlist.lo


all: standardall

#
# build stuff targets
#
getkstat: getkstat.o
	$(CC) $(CFLAGS) -o $@ $? $(LOCAL_LIBS) $(LIBS)

getkstat.o: mibgroup/kernel_sunos5.c
	$(CC) $(CFLAGS) -o $@ -D_GETKSTAT_TEST -DDODEBUG -c $? 

getmibstat: getmibstat.o
	$(CC) $(CFLAGS) -o $@ $? $(LOCAL_LIBS) $(LIBS)

getmibstat.o: mibgroup/kernel_sunos5.c
	$(CC) $(CFLAGS) -o $@ -D_GETMIBSTAT_TEST -DDODEBUG -c $? 

snmpd$(EXEEXT):	${LAGENTOBJS} $(USELIBS) $(HELPERLIB) $(LIBTARG) ${INSTALLLIBS}
	$(LINK) $(CFLAGS) -o $@ ${LAGENTOBJS} $(LOCAL_LIBS) ${LDFLAGS} ${OUR_AGENT_LIBS}


libnetsnmpagent.$(LIB_EXTENSION)$(LIB_VERSION):    ${LLIBAGENTOBJS} libnetsnmpmibs.$(LIB_EXTENSION)$(LIB_VERSION)
	$(LIB_LD_CMD) libnetsnmpagent.$(LIB_EXTENSION)$(LIB_VERSION) ${LLIBAGENTOBJS}  $(LIB_LD_LIBS) $(AGENT_RELINK_LIBS)
	$(RANLIB) libnetsnmpagent.$(LIB_EXTENSION)$(LIB_VERSION)

libnetsnmpmibs.$(LIB_EXTENSION)$(LIB_VERSION):    ${LMIBOBJS}
	$(LIB_LD_CMD) libnetsnmpmibs.$(LIB_EXTENSION)$(LIB_VERSION) ${LMIBOBJS}  $(LIB_LD_LIBS) $(MIBS_RELINK_LIBS) $(LIBSENSORS)
	$(RANLIB) libnetsnmpmibs.$(LIB_EXTENSION)$(LIB_VERSION)

embedperlinstall:
	  @$(SHELL) $(srcdir)/../mkinstalldirs $(INSTALL_PREFIX)$(snmplibdir)
	  @$(INSTALL) $(srcdir)/snmp_perl.pl $(INSTALL_PREFIX)$(snmplibdir)/snmp_perl.pl
	  @echo "install:  installed snmp_perl.pl in $(INSTALL_PREFIX)$(snmplibdir)"

embedperluninstall:
	  @rm -f $(INSTALL_PREFIX)$(snmplibdir)/snmp_perl.pl
	  @echo "removed snmp_perl.pl from $(INSTALL_PREFIX)$(snmplibdir)"

snmp_vars.lo:  mibgroup/mibII/snmp_mib.h mibgroup/mibII/system_mib.h mibgroup/mibII/sysORTable.h mibgroup/mibII/vacm_vars.h mibgroup/utilities/execute.h mibgroup/host.h mibgroup/mibII/ip.h mibgroup/mibII/tcp.h mibgroup/mibII/udp.h mibgroup/mibII/icmp.h mibgroup/mibII/var_route.h mibgroup/mibII/kernel_linux.h mibgroup/qos.h mibgroup/ieee802dot11.h mibgroup/util_funcs.h mibgroup/mibII/vacm_context.h mibgroup/host/hr_system.h mibgroup/host/hr_storage.h mibgroup/host/hr_device.h mibgroup/host/hr_other.h mibgroup/host/hr_proc.h mibgroup/host/hr_network.h mibgroup/host/hr_print.h mibgroup/host/hr_disk.h mibgroup/host/hr_partition.h mibgroup/host/hr_filesys.h mibgroup/host/hr_swrun.h mibgroup/host/hr_swinst.h mibgroup/mibII/interfaces.h mibgroup/mibII/ipAddr.h mibgroup/mibII/at.h mibgroup/mibII/route_write.h mibgroup/mibII/tcpTable.h mibgroup/mibII/udpTable.h mibgroup/qos_access.h mibgroup/qos_checkfns.h mibgroup/ucd-snmp/loadave.h mibgroup/qos_checkfns_local.h
read_config.lo:  mibgroup/mibII/snmp_mib.h mibgroup/mibII/system_mib.h mibgroup/mibII/sysORTable.h mibgroup/mibII/vacm_vars.h mibgroup/utilities/execute.h mibgroup/host.h mibgroup/mibII/ip.h mibgroup/mibII/tcp.h mibgroup/mibII/udp.h mibgroup/mibII/icmp.h mibgroup/mibII/var_route.h mibgroup/mibII/kernel_linux.h mibgroup/qos.h mibgroup/ieee802dot11.h mibgroup/util_funcs.h mibgroup/mibII/vacm_context.h mibgroup/host/hr_system.h mibgroup/host/hr_storage.h mibgroup/host/hr_device.h mibgroup/host/hr_other.h mibgroup/host/hr_proc.h mibgroup/host/hr_network.h mibgroup/host/hr_print.h mibgroup/host/hr_disk.h mibgroup/host/hr_partition.h mibgroup/host/hr_filesys.h mibgroup/host/hr_swrun.h mibgroup/host/hr_swinst.h mibgroup/mibII/interfaces.h mibgroup/mibII/ipAddr.h mibgroup/mibII/at.h mibgroup/mibII/route_write.h mibgroup/mibII/tcpTable.h mibgroup/mibII/udpTable.h mibgroup/qos_access.h mibgroup/qos_checkfns.h mibgroup/ucd-snmp/loadave.h mibgroup/qos_checkfns_local.h
mib_modules.lo: mibgroup/mib_module_inits.h

#
# standard target definitions.  Set appropriate variables to make use of them.
#
# note: the strange use of the "it" variable is for shell parsing when
# there is no targets to install for that rule.
#

# the standard items to build: libraries, bins, and sbins
STANDARDTARGETS     =$(INSTALLLIBS) $(INSTALLBINPROGS) $(INSTALLSBINPROGS)
STANDARDCLEANTARGETS=$(INSTALLLIBS) $(INSTALLBINPROGS) $(INSTALLSBINPROGS) $(INSTALLUCDLIBS)

standardall: subdirs $(STANDARDTARGETS)

subdirs:
	@if test "$(SUBDIRS)" != ""; then \
		it="$(SUBDIRS)" ; \
		for i in $$it ; do       \
			echo "making all in `pwd`/$$i"; \
	                ( cd $$i ; $(MAKE) ) ; \
                        if test $$? != 0 ; then \
				exit 1 ; \
			fi  \
	        done \
	fi

# installlibs handles local, ucd and subdir libs. need to do subdir libs
# before bins, sinze those libs may be needed for successful linking
install: installlocalheaders  \
         installlibs \
         installlocalbin      installlocalsbin   \
         installsubdirs      $(OTHERINSTALL)

uninstall: uninstalllibs uninstallbin uninstallsbin uninstallheaders \
           uninstallsubdirs $(OTHERUNINSTALL)

installprogs: installbin installsbin

#
# headers
#
# set INSTALLHEADERS to a list of things to install in each makefile.
# set INSTALLBUILTHEADERS to a list of things to install from builddir
# set INSTALLSUBDIRHEADERS and INSTALLSUBDIR to subdirectory headers
# set INSTALLSUBDIRHEADERS2 and INSTALLSUBDIR2 to more subdirectory headers
# set INSTALLBUILTSUBDIRHEADERS and INSTALLBUILTSUBDIR to a list from builddir
#
installheaders: installlocalheaders  installsubdirheaders

installlocalheaders:
	@if test "$(INSTALLHEADERS)" != "" ; then \
		echo creating directory $(includedir) ; \
		it="$(INSTALLHEADERS)" ; \
		$(SHELL) $(top_srcdir)/mkinstalldirs $(INSTALL_PREFIX)$(includedir) ; \
	        for i in $$it ; do \
			$(INSTALL_DATA) $(top_srcdir)/include/net-snmp/$$i $(INSTALL_PREFIX)$(includedir) ; \
	                echo "installing $$i in $(INSTALL_PREFIX)$(includedir)" ; \
	        done \
	fi
	@if test "$(INSTALLBUILTHEADERS)" != "" ; then \
		echo creating directory $(includedir) ; \
		it="$(INSTALLBUILTHEADERS)" ; \
		$(SHELL) $(top_srcdir)/mkinstalldirs $(INSTALL_PREFIX)$(includedir) ; \
	        for i in $$it ; do \
