=== src/router/snmp/debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Build-Depends: debhelper (>=4.0), libtool, libwrap0-dev, libssl-dev, perl (>=5.8), autoconf, automake, debianutils (>=1.13.1), bash (>=2.05), findutils (>=4.1.20)
Standards-Version: 3.6.1

Package: snmpd
Section: net
Priority: optional
Architecture: any
Conflicts: snmp (<<3.6-3), snmptraplogd
Replaces: snmptraplogd
Depends: ${shlibs:Depends}
Description: NET SNMP (Simple Network Management Protocol) Agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP agent is a daemon which listens for
 incoming SNMP requests from clients and provides responses.

Package: snmp
Section: net
Priority: optional
Architecture: any
Recommends: perl-modules
Depends: ${shlibs:Depends}
Description: NET SNMP (Simple Network Management Protocol) Apps
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP applications are a collection of command
 line clients for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Priority: optional
Architecture: all
Replaces: snmp (<=3.6.2-3), libsnmp, zebra, zebra-pj, quagga
Provides: libsnmp
Conflicts: libsnmp
Depends: 
Description: NET SNMP (Simple Network Management Protocol) MIBs and Docs
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  This package includes the MIBs (Management Information
 Bases) and documentation for the the SNMP libraries, agents and
 applications.  MIBs contain a formal description of the data that can
 be managed using SNMP.  They are used by NET SNMP libraries, agents
 and applications.

Package: libsnmp5
Section: libs
Priority: optional
Architecture: any
Replaces: snmp (<=3.6.2-3), snmpd (<=4.1.2-1)
Depends: libsnmp-base (>=${Source-Version}), ${shlibs:Depends}
Description: NET SNMP (Simple Network Management Protocol) Library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP library contains common functions for the
 construction, sending, receiving, decoding, and manipulation of the
 SNMP requests and responses.

Package: libsnmp5-dev
Section: libdevel
Priority: optional
Architecture: any
Replaces: libsnmp-dev, libsnmp-perl (<<${Source-Version})
Provides: libsnmp-dev
Conflicts: libsnmp-dev
Depends: libc6-dev, libsnmp5 (=${Source-Version}), libsnmp-perl (=${Source-Version}), libwrap0-dev, libssl-dev
Description: NET SNMP (Simple Network Management Protocol) Development Files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP development files include the library
 headers, static libraries, and documentation needed for development
 of custom SNMP applications.

Package: libsnmp-perl
Section: perl
Priority: optional
Architecture: any
Depends: ${perl:Depends}, libsnmp5 (=${Source-Version})
Description: NET SNMP (Simple Network Management Protocol) Perl5 Support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP perl5 support files provide the perl
 functions for integration of SNMP into applications, written in perl.

Package: tkmib
Section: net
Priority: optional
Architecture: all
Depends: libsnmp-perl (>=${Source-Version}), perl-tk
Description: NET SNMP (Simple Network Management Protocol) MIB Browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  The NET SNMP MIB (Management Information Base) Browser
 provides a graphical frontend for the NET SNMP tools.  It can be used
 to browse the MIB tree and interactively send requests to SNMP  agents.
