=== src/router/snmp/debian/watch ===
version=2
ftp://ftp2.sf.net/pub/sourceforge/n/ne/net-snmp/net-snmp-([\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
